body {
    font-family: 'Montserrat', sans-serif;

}

h1, h2, h3, h4, p, ul, ol, li, body {
    margin: 0;
    padding: 0;
}

*, *::before, *::after {
    box-sizing: border-box; /* aby se to drželo uprostřed, ten text */
}

a {
    transition: all 0.3s ease-out;  /* aby to chvilku trvalo, než se odkaz otevře, do 0.5s, více ne */
}

h1 {
    text-transform: uppercase;
    font-size: 50px;
    font-weight: bold;
    padding: 70px;
}



.container {
    width: 85%;
    margin: auto;/* centruje prvek na střed */
    /*text-align: center ;*/
}

.headerMenu, .main {
    text-align: center;
}

.main .container h2 {
    font-size: 24px;
    font-weight: bold;
    color: #a57a5b;
    padding-bottom: 50px;

}


.main .container {
    width: 70%;
    
}

.main {
    /*margin: auto; centruje prvek na střed */
    text-align: center ;
    margin-bottom: 150px;
}


.headerMenu .container {
    align-items: center; /* centrování menu + loga */
}



.menu ul li {
    display: inline-block;
    
}


.menu ul li a {
    color: black;
    text-decoration: none;
    text-transform: uppercase;
    display: block;
    margin: 40px 0px;
    padding: 10px 10px
    
}

.menu ul li a:hover {
    background: rgba(153, 153, 102, 0.4);         ;                /* nastavení proklikávacího menu bílé + průhlednost. To, že je to pomalejší, na to slouží to transition  */
}


@media screen and (max-width: 580px) {
    .menu ul li {
        display: block;
    } 

    .menu ul li a {
        margin: 0;
    }   

    .menu {
        margin: 40px 0;
    }

    .menu ul li a:hover {
        color: red;
        background: none;
    }

    .container .logo {
        letter-spacing: 5px;
    }

}



.logo {
    color: black;
    text-decoration: none;
    text-transform: uppercase;
    text-align: center;
    font-size: 24px;
    font-family: 'Krona One', sans-serif;
    margin: 53px 0px 57px 0px;

}

header .obrazek{
    background: url("../img/header.jpg") center center no-repeat;/* .. znamená - posuň se o úroveň výše */
    background-size: cover;
    width: 100%;
    height: 530px;
    margin: 0px;
}

@media screen and (max-width: 1000px) {
    header .obrazek {
        width: 100%;
        height: 220px;
    }

}


@media screen and (max-width: 500px) {
    header .obrazek {
        width: 100%;
        height: 130px;
    }

}

@media screen and (min-width: 750px) {
    header .headerTwitter {
    display: none;
    }
}

@media screen and (max-width: 750px) {
    header .headerYoutube {
    display: none;
    }
}


.headerNahore {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 22px 0;
}



.headerNahore a {
    color: rgb(12, 9, 9);
    text-decoration: none;
}

.headerNahore a:hover {
    color: blue;
    
}

.headerNahore p a .fa-facebook-square:hover {
    color: #1877F2;
}

.headerNahore p a .fa-instagram:hover {
    color: #E4405F;
}

.headerNahore p a .fa-youtube:hover {
    color: #CD201F;
}

.headerNahore p a .fab fa-twitter:hover {
    color: #1DA1F2;
}


/*
@media screen and (max-width: 950px) {
    .headerNahore p {
        padding: 10px 50px; 
    }
    
}
*/

@media screen and (max-width: 350px) {
    .headerNahore p {
        padding: 10px 20px; 
    }
    
}



/* Stylování section*/



/*.main p {
    text-align: center;
    
}*/



@media screen and (max-width: 950px) {
    /*.main .container {
        width: 85%;
    }*/
    
    .main h1 {
        font-size: 30px;
        padding: 50px 30px ; 
    }

    h2 {
        font-size: 20px;
    }
    
}

@media screen and (max-width: 750px) {
    .main h1 {
        font-size: 22px; 
        padding: 30px 10px ;
    }

    .main p {
        line-height: 30px;
    }
    
    h2 {
        font-size: 18px;
    }
    
}

@media screen and (max-width: 380px) {
    .main h1 {
        font-size: 18px; 
        padding: 20px 10px ;
    }
    
}


/* Stylování footer*/
.pata .container {
    width: 70%;
}

.pataMenu ul li {
    display: inline-block;
}


.pata {
    background: #eaeaea;
    text-align: center;
    padding: 30px 0px;
}

.pata ul li {
    list-style: none;
}

.pata .logo {
    font-size: 20px;
}

.pataKontakt ul li a {
    text-decoration: none;
    color: #000;
}



.pata .menu ul li a:hover {
    background: rgba(153, 153, 102, 0.4);         
}

.pataKontakt ul li:nth-child(3) {
    color: #b30000;
}

.pataKontakt {
    line-height: 24px;
    padding-top: 34px;
}

.pataKontakt ul li i {
    padding-right: 25px;
    color: black;
}

.pataSocial {
    padding-top: 10px;
}

.pataSocial i {
    color: black;
    height: 27px; 
    padding: 0 5px 0 0;

}




.pataLogo {
    padding: 40px 35px;
}


.button {
    display: none;
}

.pataKontakt ul li a:hover {
    color: blue;
}

.pataSocial a .fa-facebook-square:hover {
    color: #1877F2;
}

.pataSocial a .fa-instagram:hover {
    color: #E4405F;
}

.pataSocial .fa-youtube:hover {
    color: #CD201F;
}

.pataSocial .fa-twitter:hover {
    color: #1DA1F2;
}


@media screen and (max-width: 580px) {
   /* .pataMenu ul li {
        display: block;
        padding: 10px 0;
    } 

    .pataMenu ul li a {
        margin: 0;
    }   */

    .pata {
        /*margin: 40px 0 0 0;*/
        padding: 20px 10px;
        font-size: 14px;
    }

   /*tohle níže je tady jen na zkoušku */
    .pata .menu ul li a:hover {
        color: red;
        background: none;
    }


    .pataKontakt ul li i {
        padding-right: 5px;
    }

    

    .pataSocial {
        padding-top: 40px;
        padding-bottom: 20px;
        /*position: relative;*/
    }

    .pataLogo .logo {
        letter-spacing: 4px;
        font-size: 20px;
    }

    .button {
        color:#000;
        text-decoration: none;
        border: 1px solid #000;
        padding: 25px 10px;
        border-radius: 4px;
        display: inline-block;
        
    }

    .pataButton i {
        
        transform: rotate(-90deg);
        
        /*position: absolute;
        right: 0;
        top: 0;*/
    }

    .pataSocialButton {
        /*display: flex;*/
        justify-content: center;
        
    }
    
}

@media screen and (min-width: 750px) {
    footer .pataTwitter {
    display: none;
    }
}

@media screen and (max-width: 750px) {
    footer .pataYoutube {
    display: none;
    }
}